package common.block.natural;

import common.block.SoundType;
import common.init.MetalType;
import common.item.Item;
import common.item.block.ItemMetalBlock;

public class BlockMetalOre extends BlockOre {
	private final MetalType metal;
	
	public BlockMetalOre(MetalType metal) {
		this.metal = metal;
		this.setStepSound(SoundType.STONE);
		this.setLightLevel(metal.radioactivity > 0.0F ? 0.25F : 0.0F);
		this.setRadiation(metal.radioactivity * 0.5f);
	}
	
	public MetalType getMetal() {
		return this.metal;
	}

	protected Item getItemToRegister() {
		return new ItemMetalBlock(this);
	}
}
